#we only need major.minor in the SONAME in the stable (even numbered) series
#this should be changed to %%{version} in unstable (odd numbered) releases
%global sover 0.10

%define major 0
%define Basename_ termkey
%define libname %mklibname %{Basename_} %{major}
%define develname %mklibname %{Basename_} -d
%define staticdevelname %mklibname %{Basename_} -d -s

Name: libtermkey
Version: 0.19
Release: %mkrel 1
Summary: Library for easy processing of keyboard entry
License: MIT and BSD and ISC
Group: Development/C
URL: http://www.leonerd.org.uk/code/libtermkey/

%description
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognize special keys, UTF-8
combining, and so on, with a simple interface.

%package -n %{libname}
Summary: Library for easy processing of keyboard entry

Group: Development/C
# the licensing breakdown is described in detail in the LICENSE file
License: MIT and BSD and ISC
Source0: http://www.leonerd.org.uk/code/libtermkey/%{name}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkgconfig(ncurses)
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n %{libname}
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognize special keys, UTF-8
combining, and so on, with a simple interface.

%package -n %{develname}
Summary: Development libraries for libtermkey
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: pkgconfig
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n %{develname}
Development libraries for libtermkey

%package -n %{staticdevelname}
Summary: Platform layer for node.js - static library
Group:   Development/C
Requires:   %{libname} = %{version}-%{release}

%description -n %{staticdevelname}
Static library (.a) version of libtermkey.

%prep
%setup -q

%build
%make_build PREFIX=/usr LIBDIR="%{_libdir}"

%install
%make_install PREFIX=/usr LIBDIR="%{_libdir}"


%check
# Tests are currently disabled because some require network access
# Working with upstream to split these out
#./run-tests
#./run-benchmarks

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{libname}
%{_libdir}/libtermkey.so.*

%files -n %{develname}
%{_libdir}/libtermkey.so
%{_libdir}/pkgconfig/termkey.pc
%{_includedir}/termkey*.h
%{_mandir}/man*/*.xz

%files -n %{staticdevelname}
%{_libdir}/libtermkey.la
%{_libdir}/lib*.a



%changelog
* Sat Jan 14 2017 shlomif <shlomif> 0.19-1.mga6
+ Revision: 1081716
- New version 0.19

* Mon Jan 04 2016 tv <tv> 0.18-2.mga6
+ Revision: 919426
- adjust file list
- adjust file list

* Mon Nov 16 2015 shlomif <shlomif> 0.18-1.mga6
+ Revision: 903688
- New version 0.18

* Thu Aug 20 2015 shlomif <shlomif> 0.17-1.mga6
+ Revision: 866901
- Add missing BR
- Importing libtermkey based on libuv

